展开

关键词

appcompat

AppCompat:为API7及以上的设备提供了一个一致的ActionBar。在版本21的修订中,它承担了新的职责:带来了materialcolorpalette、控件着色、Toolbar支持,还有更多支持所有API7+的设备。单从ActionBarActivity名字上看是体现不出它全部功能的。

相关内容

  • 广告
    关闭

    618云上GO!

    云服务器1核2G首年95元,新老同享6188元代金券

  • AppCompat的问题?(1 个回答)

    appcompat和其他工具(日期、转换等)在调色板中不可见。 我怎样才能让它们出现在我的调色板上?...
  • 如何使用AppCompat的SearchView?(2 个回答)

    我在使用appcompat.v7之前在actionbar中实现了searchview,但是当我想使用支持库v7的searchview时,它显示空异常。 代码: 在java类中:@overridepublic boolean oncreateoptionsmenu(menu menu){ getmenuinflater().inflate(r.menu.menu, menu); searchview searchview = (searchview)menu.finditem(r.id.action...
  • 如何使用AppCompat设置禁用的按钮颜色?(2 个回答)

    如何使用appcompat设置禁用的按钮颜色? @colorcoloraccent @colorwhite 安卓布局文件...
  • 什么时候应该使用Theme.AppCompat vs ThemeOverlay.AppCompat?(2 个回答)

    theme.appcompattheme.appcompat.lighttheme.appcompat.light.darkactionbartheme.appcompat.noactionbartheme.appcompat.light.noactionbartheme.appcompat.dialogwhenlargetheme.appcompat.light.dialogwhenlargetheme.appcompat.dialogtheme.appcompat.light.dialogtheme.appcompat.compactmenu 和以下theme...
  • 更改appcompat的SearchView文本和提示颜色(2 个回答)

    有人知道如何改变appcompat searchview的文本颜色吗? 我花了2个小时,尝试了几个so的建议,但都没有成功。 这是我的代码: 在我的活动中,我有这样的:public boolean oncreateoptionsmenu(menu menu){ getmenuinflater().inflate(r.menu.main, menu); menuitem layerswitcher = menu.finditem(r.id.layer_switcher...
  • AppCompat-v7 transparent Actionbar 21是什么?(2 个回答)

    是否有办法使actionbar在材料设计中通过appcompat-v721? @android:colortransparent @android:colortransparent...
  • 如何安装Repository com.android.Support:appcompat-v7?(2 个回答)

    gradle脚本中有一个错误: 在应用程序(gradle)中有: buildtoolsversion 25. 0.2 如何安装相应的appcompatlib? compile com.android.support:appcompat-v7:25. 0.2 有以下报错信息: 该如何解决呢?...
  • Firebase核心依赖项与Appcompat-v7冲突(1 个回答)

    ( ctrl + f1)检查信息:有些库或工具和库的组合不兼容,或者可能导致错误。 一个这样的不兼容性是使用不是最新版本的android支持库版本(或者特别是低于targetsdkversion的版本)进行编译。 当我使用实现com.google.firebase:firebase-core:17. 0.0时,在实现com.android.support:appcompat-v7:28.0. 0上显示该...
  • 带有appcompat-v7:28.0.0的AndroidClassNotFoundException(2 个回答)

    这就是我使用appcompat-v7模块的原因。 我已经按照本教程(抱歉,因为它是西班牙语)并且我已经使用兼容性支持包更新了我的ide,我还将新模块添加到我的gradle文件中,并且我使用这个新工具栏更新了我的应用程序的设计xml(我可以在设计编辑器中看到这个工具栏。 但是,当我启动我的应用程序时,我收到以下错误: ...
  • 如何从appCompat 22.1及更高版本使用AlertDialog?(2 个回答)

    如何从appcompat 22.1及更高版本使用alertdialog?...
  • TextView、AppCompatTextView文字段落居中文末补缺对齐

    相信很多开发者都有这个烦恼,在android提供的原生textview或appcompattextview中写一段文字时,文末都是参差不齐的; 一行写不下就挤到第二行显示了。 这里推荐一段代码,自己也是做个记录。 原文:https:blog.csdn.netcsdn472651883articledetails81057830** * author:bobo * * create time:2018127 10:36 * * ...
  • 解决使用 Theme.AppCompat.XX 主题控件默认带阴影的问题

    背景在使用 theme.appcompat.xx 主题时,button 和 actionbar 默认是带阴影效果的,即使你设置了 background 为一个色值也不行。 要完全实现设计图的效果,我们需要去掉这个默认的点击阴影效果。 解决方案在 xml 布局里对应的控件上加上对于buttonstyle=@stylewidget.appcompat.button.borderless对于 actionbar...
  • 如何解决失败:com.android.Support:appcompat-v7:27.0.0?(2 个回答)

    proguard-rules.pro } } productflavors{ }} dependencies { compile filetree(include: , dir: libs) testcompile junit:junit:4.12 compile com.google.android.gms:play-services-ads:11. 0.0 compile com.android.support:appcompat-v7:27.1. 1} 我还安装了所有的api27sdk,有什么解决办法吗?...
  • 找不到资源 - Theme.AppCompat.Light.DarkActionBar该怎么办?(2 个回答)

    我使用actionbar风格生成器,现在试图用我的应用程序,但得到: 错误:检索项的父项时出错:找不到与给定名称@ style theme.appcompat.light.darkactionbar匹配的资源。 我正在使用libs文件夹内的android-support-v7-appcompat.jar lib...
  • 如何在IntelliJ IDEA中添加库(android-support-v7-appcompat)?(2 个回答)

    编译时没有出现错误,但当启动异常: 08-03 00:50:00.406:errorandroidruntime(4055): fatal exception:main java.lang.noclassdeffounderror:android.support.v7.appcompat.r$styleable atandroid.support.v7.app.actionbaractivitydelegate.oncreate(actionbaractivitydelegate.java:98) atandroid.support.v7.app...
  • 如经济解决失败:com.android.Support:appcompat-v7.27.+的问题?(2 个回答)

    我正在androidstudio中创建一个新的项目,使用nugat7.0。 但当我打开项目,会得到下面的gradle错误: failed to resolve:com.android.support:appcompat-v7.27. + apply plugin:com.android.application android {compilesdkversion 27buildtoolsversion 25. 0. 2defaultconfig { applicationid damo.com.testproject...
  • 如何将AppCompat主题应用于PreferenceFragment中的各个首选项?(2 个回答)

    我一直在试图使用preferencefragment让我的应用程序的其余部分具有相同的主题和样式(通过appcompat)。 下面preferencefragment显示了我用来管理所有应用程序设置的信息: ? 正如你可以从上面的截图中看到,我能够自定义preferencefragment使用coloraccent,colorprimary和一些其他属性。 我的主题preference...
  • 为什么没有找到与给定名称“@StyleTheme.AppCompat.light”匹配的资源?(2 个回答)

    我已经在这个问题上做了几个小时了。 从github下载存储库后,.xml文件中唯一的错误是:no resource found that matches the given name @styletheme.appcompat.light代码非常简单,但我没有找到一个简单的答案,就是如何减轻错误。 下面是代码(在文件resvaluestyes.xml中)...
  • java.lang.IllegalArgumentException: AppCompat does not support the current theme features(2 个回答)

    appcompat does not support the current theme features atandroid.app.activitythread.performlaunchactivity(activitythread.java:2092) atandroid.app.activitythread.handlelaunchactivity(activitythread.java:2117) ... caused by: java.lang.illegalargumentexception:appcompat does not support the ...
  • Android appcompat-v7:21.0.0如何更改材质复选框的颜色?(2 个回答)

    我更新了我的项目以使用最新的appcompat支持库,新版本使用材料设计复选框和单选按钮。 我的应用是黑色主题,复选框是黑色的,很难看清楚:res 值 styles.xml @colorsilver 在build.gradle中:android { compilesdkversion 21 buildtoolsversion 21. 1. 1 defaultconfig { minsdkversion 9 targetsdkversion 19 } } ...

扫码关注云+社区

领取腾讯云代金券